/* LED styling (currently used by MIDI Bridge Manual) */

span.led {
    --color: #000000;
    display: inline-block;
    width: 0.8em;
    height: 0.8em;
    background-color: var(--color);
    border-radius: 0.5em;
    box-shadow: inset 0 0 0 2px #000000;
    vertical-align: middle;
    /* margin: 0 0.125em; */
    transform: scale(0.8);
}

span.led.blue {
    --color: #0000ff;
}

span.led.cyan {
    --color: #00ffff;
}

span.led.green {
    --color: #00ff00;
}

span.led.yellow {
    --color: #ffff00;
}

span.led.red {
    --color: #ff0000;
}

span.led.magenta {
    --color: #ff00ff;
}

span.led.white {
    --color: #ffffff;
}

span.led.off {
    --color: #888888;
    transform: scale(0.5);
}